Welcome

Advantech

--- Your ePlatform Partner

Web: http://www.advantech.com

e-mail: info@advantech.com


About This CD

Advantech ICOM and CAN devices CD.
Built on Friday, June 12, 2009.

Advantech offers a complete range of Device Driver and software supports for Windows programming developers. You can apply the Windows Device Drivers to the most popular Windows Programming tools, such as Visual C++, Visual Basic, Borland C++ Builder and Borland Delphi.

Note:
Confirm that the driver has been installed before installing the card. We strongly recommend that you install the software driver before installing the hardware into your system. This will guarantee a smooth and trouble-free installation process.


ICOM & CAN Device Driver CD Installation Guide

Installation Steps:

Step 1:
Put the CD-ROM into CD-Driver, the welcome screen will appear as below. If it does not appear, please run the "autorun.exe" on the CD root folder. Then press the "Continue" button to next step.

Step 2:
The selections available on this screen are the installation of the device driver, browse CD contents, view the Advantech website or contact Advantech.

Step 3-1 : Device driver installation

T o install Advantech ICOM or CAN device driver, select the "Installation" button as shown below.

Step 3-2 : Driver class selection

Select different product classes for device driver installation. Click "Linux Drivers" or "WinCE Drivers", the driver package folder will pop up. Click "Windows Drivers" the card selection UI will pop up, refer to step 3-3 or 3-4 for detailed info.

Step 3-3 : ICOM Driver installation
Select different ICOM device driver installation.

Step 3-4 : CAN Driver installation

S elect different CAN device driver installation. In this version CD, we provide two kinds CAN drivers.

To install new CAN WDM driver, select "Install CAN WDM Driver for PCI-1680 & PCM-3680".

To install old CAN driver, press "Install old CAN bus card driver". Note: You must install the Advantech Device Manager.

Step 4 : Contact Advantech

Select the "Contact Us" button.

The Advantech contact information will appear as shown below.


ICOM Tool User Guide

1. Introduction

Advantech ICOM Tools is a convenient utility program to help you test the ICOM card performance by analyzing the port status of your ICOM cards. It features an easy to use Graphical User Interface.

2. Installation

Just click the SETUP.EXE program to launch the ICOM Tools Setup program that initiates installation. The Setup program will copy the program files to the destination folder you choose or to a default installation path (i.e. C:\program files\Advantech\ICOM\ICOM Tools) if a folder is not specified. A program folder will be created in the Start/Programs menu.

3. User Interface

3.1 Menu Bar

Various menu commands to perform the test functions of the utility are located on the Menu Bar. The accelerator key can be used for a faster result. The submenus are shown below:

The following table describes submenu actions.

Port Submenu
Select | Select the ports you want to configure
Setup | Setup the configuration of a specific port
Close | Close a specific port
Run | Run the test on a specific port
Stop | Stop the test on a specific port
All Ports Submenu
Setup | Setup the configurations of all ports
Run | Run the test on all ports
Stop | Stop the test on all ports
Help submenu
Access the Online Help

3.2 Tool Bar

Using the Tool Bar buttons is a quick way to implement the functions. The Tool Bar includes tool tips that display its function as shown below:

The following table describes the tool bar actions from left to right.

Port Select | Select the port(s) you want to perform the test on
Port Setup | Setup configuration of the selected port
Port Close | Close the port selected
Port Run | Run the port test on the selected port
Port Stop | Stop the test on the selected port
All Ports Setup | Setup the configuration of all the ports not running test
All Ports Run | Run test on all ports
All Ports Stop | Stop test on all ports
Clear Message | Clear messages on Message Logo area and the RX length information on the Performance Listing area

3.3 Com Port Tab

Each Com Port tab represents a specific port you have selected for test and configuration. The Transfer Mode, Port Status, and Message Logo area appear on the tab. Specify the transfer mode to be Normal, loop back (active) and loop back (passive). The com port tab is shown below:

3.3.1 Port Status

DTR | Data-Terminal-Ready
DSR | Data-Set-Ready
RTS | Request-To-Send
CTS | Clear-To-Send
CD | Carrier-Detect

For RS-232 specifications, DTR and RTS are for output signals and can be toggled on and off simply by double-clicking the buttons (such as DTR, DST, RTS, CTS, CD) under the red/green marks. If you are using RTS/CTS for flow control, the RTS mark will appear in black. It indicates that the RTS can no longer be toggled on/off since it is now controlled by driver itself.

3.3.2 Message Logo

The relevant messages about the selected port(s) appear in the Message Logo area.

3.4 Performance Listing Area

Relevant information, such as Rx Length (received packet byte length), Bytes/Sec (transmission rate) and Last Abnormal Status of each port running a test, appear in the performance listing area. The performance listing area is shown below:

3.5 Status Bar

The current information of the selected port appears o n the Status Bar. The Status Bar indicates port status and the configuration information such as baud rate, data bit, stop bit, parity bit and flow control (represented as 9600 N 8 1 RTS/CTS) settings. The duration of the test appears on the right. The status bar is shown below:

3.6 Splitter Bar

The main form has two panes, Com Port Tab and Performance Listing Area. The splitter style is static (the panes are created when the splitter window is created) and the order and number of panes never change. Splitter bars are used to resize the two panes, and the different panes are usually of different views. The left limit of the performance listing area cannot rise above the com port tab. The right limit of the com port tab cannot rise above the whole performance listing area.

4. Message Definition

4.1 Status Bar Messages

BUSY | The port is currently being used by other application.
FAIL | The configuration parameters are not accepted by the port
READY | The port is ready to run or configure.
RUNNING | The test is running on the port
STOPPED | The test running on the port has been stopped by user

4.2 Message Logo Messages

Port Opened | Users has opened the port
Port Setup Error | Users set up port configuration with parameters that are either incorrect or unsupported.
Port Running | The port is running test
Port Stopped | The test is stopped on the port
Tx Starting/Tx Stopped | Transmitting start/transmitting stop
Rx Starting/Rx Stopped | Receiving start/receiving stop
Break Error | A break event has been detected on the port
Framing Error | A timing error (i.e. from start bit to stop bit) has been detected on the port
Port I/O Error | An incorrect I/O event has been detected on the port
Rx Overrun | The received data has been overwritten before being processed
Rx Buffer Full Error | The buffer on the receiving end is saturated so that newly arrived data is ignored
Tx Buffer Full Error | The buffer on the transmitting end is saturated so that the data transmitted by applications is ignored.
LB Error - %d | Data error is detected in the loop back mode
LB Rx Pending | Loop back mode is waiting for incoming data


Advantech Device Manager

The Advantech Device Manager is a software program that allows you to configure your hardware and store the settings in your Windows registry. These settings are used when the APIs of the Advantech 32-bit Device Drivers are called. To set up or configure each CAN device within the configuration utility, complete the following procedure.

Run the Advantech Device Manager to see the installed devices in the Installed Devices window.

Scroll down the List of Supported Devices and select the device that you want to install. Click the Add button, a configuration dialog box will be shown for the specified device.

Notes:

The PCI device with Windows 2K/XP OS doesn't need this step. The Windows PnP Manager will install the driver automatically. You can press Setup button to adjust the configuration of the device directly.

If there are any existing devices of this type installed on your computer, a dialog box will open to display them. Select the device you want to operate from the listing and press the OK button. The following is an example using the PCL-841.

Setup the Interrupt and Memory Address by following the options of the PCL-841 card (you can adjust them by jumper on the card). And then assign unique Port and Host ID for each can port (PCL-841 has 2 ports).

After the device configuration, click the OK button and the device will appear in the Installed Devices field as shown below.

After configuring your hardware with the Advantech Device Manager, you can use the example CANMEx we provided in the ICOM CD to verify the hardware functions.


Advantech Customer Services

Each and every Advantech product is built to the most exacting specifications to ensure reliable performance in the harsh and demanding conditions typical of industrial environments. Whether your new Advantech equipment is destined for the laboratory or the factory floor, you can be assured that our product will provide the reliability and ease of operation for which the name Advantech has come to be known.

Your satisfaction is our primary concern. Here is a guide to Advantech's customer services. To ensure you get the full benefit of our services, please follow the instructions below carefully.

Technical Support

You deserve maximum performance from our products. If you run into technical difficulties, we are here to help. The most frequently asked questions and answers are found in our product documentation. These answers are typically more detailed than those we can give over the phone.

P lease consult this manual first. If you still can not find the answer, gather all the information or questions that apply to your problem, and with the product close at hand, call your dealer. Our dealers are well trained and ready to give you the support you need to get the most from your Advantech products.

In addition, free technical support is available from Advantech engineers every business day. We are always ready to give advice on application requirements or specific information on the installation and operation of any of our products.

Technical Support Offices

USA

American Advantech Corporation
750 East Arques Avenue

Sunnyvale, CA 94086
Tel: (408)245-6678
Fax: (408)245-5678
E-mail: IAInfo@advantech.com

Asia

Advantech Co., LTD
4th Floor, 108-3 Min-Chuan Road

Shing-Tien City, Taipei County, Taiwan ROC
Tel: (+886-2) 2218-4567
Fax: (+886-2) 2218-1989
E-mail: IASupport@advantech.com.tw

Europe

Advantech Germany
Karlsruherstr. 11/1
D-70771 Leinf.-Echterdingen

Germany
Tel: +49 (0) 711 797 333 60
Fax: +49 (0) 711 797 333 85

Advantech Italy

Via Don Verderio
4/B-20060 Cassina de,

Pecchi (MI), Italy
Tel: +39-2-95343054
Fax: +39-2-95343067

Mainland China

Beijing office:
No. 7, 6th Street, Shang Di Zone

Haidian District,100085

Beijing, China
Tel: +86-10-62984345~47, 62986314~17
Fax: +86-10-62984341~42

Shanghai office:
Room #701, 7th Floor, Hua-Fu Building
A585 Long Hua W. Road

200232 Shanghai, China
Tel: +86-21-64696831, 64697910
Fax: +86-21-64696834